Bug 1231668 - transifex-client: uses bundled urllib3 instead of using system python-urllib3
Summary: transifex-client: uses bundled urllib3 instead of using system python-urllib3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: transifex-client
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luis Bazan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1229409
TreeView+ depends on / blocked
 
Reported: 2015-06-15 08:05 UTC by Tomas Hoger
Modified: 2018-06-08 13:11 UTC (History)
5 users (show)

Fixed In Version: transifex-client-0.13.3-1.fc28
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-08 13:11:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomas Hoger 2015-06-15 08:05:03 UTC
Description of problem:

transifex-client 0.10 packages bundle urllib3.  That additional bundles ordered_dict, six, and backports.ssl_match_hostname.  Library bundling requires exception per Fedora packaging guidelines:

https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries

Version-Release number of selected component (if applicable):

transifex-client-0.10-3.fc21

Comment 1 Fedora End Of Life 2016-07-19 14:50:23 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 2 Carl George 2016-07-19 19:19:10 UTC
This was resolved upstream in version 0.11, so we just need to update the Fedora package.

https://github.com/transifex/transifex-client/commit/eb6b0e5d500bc12f7c7326d823cfe74bd8ea7c7d

Comment 3 Jan Kurik 2016-07-26 04:05:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 4 Carl George 2016-11-29 18:56:19 UTC
Ping?

Comment 5 Fedora End Of Life 2017-11-16 19:17:05 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2018-02-20 15:32:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 7 Fedora Update System 2018-05-30 15:37:54 UTC
transifex-client-0.13.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-631345a71e

Comment 8 Fedora Update System 2018-05-31 13:00:44 UTC
transifex-client-0.13.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-631345a71e

Comment 9 Fedora Update System 2018-06-08 13:11:02 UTC
transifex-client-0.13.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.